Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.pietschy.command
Class ButtonManager

    java.lang.Object
      com.pietschy.command.ButtonManager

     class ButtonManager

extends java.lang.Object

ButtonManagers are used by commands to manage all the buttons that have been registered with a particular `Face`.

Field Summary
`protected WeakSet<javax.swing.AbstractButton>` | `buttons`

Constructor Summary
`protected` | `ButtonManager(Command command)`

Method Summary
`void` | `attachAndConfigure(javax.swing.AbstractButton button)` Attaches this command to the button.
`java.util.Iterator<javax.swing.AbstractButton>` | `buttonIterator()`
`void` | `detach(javax.swing.AbstractButton button)` Detaches this command from the specified button.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### buttons

    protected WeakSet<javax.swing.AbstractButton> buttons

Constructor Detail

### ButtonManager

    protected ButtonManager(Command command)

Method Detail

### attachAndConfigure

    public void attachAndConfigure(javax.swing.AbstractButton button)

  Attaches this command to the button. It is implemented using an action adapter. That it an adapter is created and `AbstractButton.setAction(javax.swing.Action)` is called.

  Parameters:
    `button` - the button to which this command should be attached.

### detach

    public void detach(javax.swing.AbstractButton button)

  Detaches this command from the specified button.

  Parameters:
    `button` - the button from which this command is to be detached.

### buttonIterator

    public java.util.Iterator<javax.swing.AbstractButton> buttonIterator()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 - 2007 Andrew Pietsch